#
# spec file for package gstreamer-plugins-ugly-codecs
#

%define _name gst-plugins-ugly
%define gst_branch 1.0
%define _version 1.22.0

Name:           gstreamer-plugins-ugly-codecs
Version:        1.22.7
Release:        1699.2.pm.12
Summary:        Codecs/plugins for gstreamer-plugins-ugly
License:        LGPL-2.1-or-later
Group:          Productivity/Multimedia/Other
URL:            https://gstreamer.freedesktop.org
Source0:        %{url}/src/%{_name}/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf

BuildRequires:  c++_compiler
BuildRequires:  c_compiler
BuildRequires:  meson
BuildRequires:  orc >= 0.4.16
BuildRequires:  pkgconfig
BuildRequires:  python3-base
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gmodule-no-export-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= %{_version}
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-controller-1.0)
BuildRequires:  pkgconfig(gstreamer-fft-1.0)
BuildRequires:  pkgconfig(gstreamer-net-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-riff-1.0)
BuildRequires:  pkgconfig(gstreamer-rtp-1.0)
BuildRequires:  pkgconfig(gstreamer-rtsp-1.0)
BuildRequires:  pkgconfig(gstreamer-sdp-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(x264) >= 0.120

Requires:       gstreamer-plugins-ugly >= %{_version}
Supplements:    gstreamer-plugins-ugly
Provides:       gstreamer-plugins-ugly-orig-addon = %{version}
Obsoletes:      gstreamer-plugins-ugly-orig-addon < 1.18.6

%description
This package contains well-written plug-ins that can't be shipped
in gstreamer-plugins-good or in distro gstreamer-plugins-ugly because:
- the license is not LGPL
- the license of the library is not LGPL
- there are possible licensing issues with the code.

Package provides the missing plugins from main distro
gstreamer-plugins-ugly package.
- x264 encoder

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%meson \
	--auto-features=disabled \
	-Dpackage-name='Packman GStreamer-plugins-ugly-codecs' \
	-Dpackage-origin='https://pmbs.links2linux.de' \
	-Dgpl=enabled \
	-Dorc=enabled \
	-Dx264=enabled \
	%{nil}
%meson_build

%install
%meson_install

%files
%license COPYING
%{_datadir}/gstreamer-%{gst_branch}/presets/GstX264Enc.prs
%{_libdir}/gstreamer-%{gst_branch}/libgstx264.so

%changelog
* Mon Nov 27 2023 Bjørn Lie <zaitor@opensuse.org>
- Drop asfdemux plugin, now available in main distro package.
* Mon Nov 20 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.7
* Fri Sep 22 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.6
* Sat Aug 12 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.5
* Sat Jul  1 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.4
* Thu May 25 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.3
* Fri Apr 14 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.2
* Mon Mar 20 2023 Bjørn Lie <zaitor@opensuse.org>
- Drop pkgconfig(opencore-amrnb) and pkgconfig(opencore-amrwb)
  BuildRequires and calls to meson, plugins are now available in
  Tumbleweed.
* Mon Mar 13 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.1
* Thu Jan 26 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.22.0
* Fri Dec 23 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.5
* Wed Oct 26 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.4
* Sat Jun 25 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.3
* Tue May 17 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.2
* Sat Mar 26 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.20.1
* Fri Feb  4 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.18.6
* Sun Jan 30 2022 Bjørn Lie <zaitor@opensuse.org>
- Limit Obsolete of orig-addon to version 1.18.5 and older.
* Sat Jan 29 2022 Bjørn Lie <zaitor@opensuse.org>
- Obsolete all versions of orig-addon.
* Thu Oct  7 2021 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.18.5
* Fri Aug 27 2021 zaitor@opensuse.org
- Initial package for Packman.
